package com.yeejoin.equipmanage.common.vo;

import lombok.Data;

import java.util.List;

/**
 * @author keyong
 * @title: AlarmEquipMockDataVO
 * <pre>
 * @description: 对接告警详情右侧页面
 * </pre>
 * @date 2020/12/24 11:13
 */
@Data
public class AlarmEquipMockDataVO {

    private String pic;

    private int alarmCount;

    private String qrcode;

    private String detailUrl;

    private List<AlarmDataVO> items;

    public AlarmEquipMockDataVO(String pic, int alarmCount, String qrcode, String detailUrl, List<AlarmDataVO> items) {
        this.pic = pic;
        this.alarmCount = alarmCount;
        this.qrcode = qrcode;
        this.detailUrl = detailUrl;
        this.items = items;
    }

    public AlarmEquipMockDataVO() {
    }

    public void setPic(String pic) {
        this.pic = pic;
    }

    public void setAlarmCount(int alarmCount) {
        this.alarmCount = alarmCount;
    }

    public void setQrcode(String qrcode) {
        this.qrcode = qrcode;
    }

    public void setDetailUrl(String detailUrl) {
        this.detailUrl = detailUrl;
    }

    public void setItems(List<AlarmDataVO> items) {
        this.items = items;
    }

    public String getPic() {
        return pic;
    }

    public int getAlarmCount() {
        return alarmCount;
    }

    public String getQrcode() {
        return qrcode;
    }

    public String getDetailUrl() {
        return detailUrl;
    }

    public List<AlarmDataVO> getItems() {
        return items;
    }
}
